> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# Get a source swap policy (Beta)

GET https://api.sigmacomputing.com/v2/sourceSwapPolicies/{policyId}

Get a source swap policy by policy ID.

  **Beta**: Getting details for a **Connection** source swap policy is in private beta and must be enabled for your organization. Getting details for a **Deployment** source swap policy is in public beta. This documentation is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

  ### Usage notes
  - Retrieve the **policyId** by calling the [/v2/sourceSwapPolicies](https://help.sigmacomputing.com/reference/list-source-swap-policies) endpoint.
    

Reference: https://help.sigmacomputing.com/reference/get-source-swap-policy

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: sigma-rest-api
  version: 1.0.0
paths:
  /v2/sourceSwapPolicies/{policyId}:
    get:
      operationId: getSourceSwapPolicy
      summary: Get a source swap policy (Beta)
      description: |-
        Get a source swap policy by policy ID.

          **Beta**: Getting details for a **Connection** source swap policy is in private beta and must be enabled for your organization. Getting details for a **Deployment** source swap policy is in public beta. This documentation is subject to the [Beta features](/docs/sigma-product-releases#beta-features) disclaimer.

          ### Usage notes
          - Retrieve the **policyId** by calling the [/v2/sourceSwapPolicies](https://help.sigmacomputing.com/reference/list-source-swap-policies) endpoint.
            
      tags:
        - sourceSwapPolicies
      parameters:
        - name: policyId
          in: path
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: OAuth authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: The response body.
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/sourceSwapPolicies_getSourceSwapPolicy_Response_200
servers:
  - url: https://api.sigmacomputing.com
    description: Server for GCP (US) hosted organizations
  - url: https://api.sa.gcp.sigmacomputing.com
    description: Server for GCP (KSA) hosted organizations
  - url: https://aws-api.sigmacomputing.com
    description: Server for AWS US (West) hosted organizations
  - url: https://api.us-a.aws.sigmacomputing.com
    description: Server for AWS US (East) hosted organizations
  - url: https://api.ca.aws.sigmacomputing.com
    description: Server for AWS Canada hosted organizations
  - url: https://api.eu.aws.sigmacomputing.com
    description: Server for AWS Europe hosted organizations
  - url: https://api.au.aws.sigmacomputing.com
    description: Server for AWS Australia and APAC hosted organizations
  - url: https://api.uk.aws.sigmacomputing.com
    description: Server for AWS UK hosted organizations
  - url: https://api.us.azure.sigmacomputing.com
    description: Server for Azure US hosted organizations
  - url: https://api.eu.azure.sigmacomputing.com
    description: Server for Azure Europe hosted organizations
  - url: https://api.ca.azure.sigmacomputing.com
    description: Server for Azure Canada hosted organizations
  - url: https://api.uk.azure.sigmacomputing.com
    description: Server for Azure United Kingdom hosted organizations
  - url: https://api.au.azure.sigmacomputing.com
    description: Server for Azure Australia hosted organizations
components:
  schemas:
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaType:
      type: string
      enum:
        - connection
      title: V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf0SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath00:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath00
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf1SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath01:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath01
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf2SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath02:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath02
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath00
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath01
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath02
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf0SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath10:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath10
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf1SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath11:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath11
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf2SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath12:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath12
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath10
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath11
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath12
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf0SwapType:
      type: string
      enum:
        - attribute
      description: >-
        Specify a user attribute to use the value of the user attribute as the
        value to swap.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf0SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath20:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf0SwapType
          description: >-
            Specify a user attribute to use the value of the user attribute as
            the value to swap.
        userAttributeId:
          type: string
      required:
        - swapType
        - userAttributeId
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath20
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf1SwapType:
      type: string
      enum:
        - exact
      description: Specify the value in the path to swap to
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf1SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath21:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf1SwapType
          description: Specify the value in the path to swap to
        catalogObject:
          type: string
      required:
        - swapType
        - catalogObject
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath21
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf2SwapType:
      type: string
      enum:
        - all
      description: Keep the current path value.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf2SwapType
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath22:
      type: object
      properties:
        swapType:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2OneOf2SwapType
          description: Keep the current path value.
      required:
        - swapType
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath22
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2:
      oneOf:
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath20
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath21
        - $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath22
      description: >-
        The rule used to update this specific path value when the swap is
        performed. If the specified path (when resolved) does not exist, the
        swap is not performed.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsTo:
      type: object
      properties:
        path0:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath0
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
        path1:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath1
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
        path2:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsToPath2
          description: >-
            The rule used to update this specific path value when the swap is
            performed. If the specified path (when resolved) does not exist, the
            swap is not performed.
      required:
        - path0
        - path1
      description: >-
        Specify how to swap each segment of a path to a table in your database,
        catalog, or project. `path0` is equivalent to a database, catalog, or
        project. `path` is equivalent to a schema or dataset, and `path2` is
        equivalent to a table or view.
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsTo
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItems:
      type: object
      properties:
        to:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItemsTo
          description: >-
            Specify how to swap each segment of a path to a table in your
            database, catalog, or project. `path0` is equivalent to a database,
            catalog, or project. `path` is equivalent to a schema or dataset,
            and `path2` is equivalent to a table or view.
      required:
        - to
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItems
    V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwaps:
      type: object
      properties:
        connectionSwaps:
          type: array
          items:
            $ref: >-
              #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwapsConnectionSwapsItems
          description: Swap paths to a different location in the same connection.
      required:
        - connectionSwaps
      title: >-
        V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwaps
    sourceSwapPolicies_getSourceSwapPolicy_Response_200:
      type: object
      properties:
        type:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaType
        name:
          type: string
          description: Name of the source swap policy.
        fromConnectionId:
          type: string
          description: ID of the connection to swap.
        swaps:
          $ref: >-
            #/components/schemas/V2SourceSwapPoliciesPolicyIdGetResponsesContentApplicationJsonSchemaSwaps
        policyId:
          type: string
      required:
        - policyId
      description: Get source swap policy response
      title: sourceSwapPolicies_getSourceSwapPolicy_Response_200
  securitySchemes:
    OAuth:
      type: http
      scheme: bearer
      description: OAuth 2.0 authentication

```

## Examples



**Response**

```json
{
  "policyId": "string",
  "type": "connection",
  "name": "string",
  "fromConnectionId": "string",
  "swaps": {
    "connectionSwaps": [
      {
        "to": {
          "path0": {
            "swapType": "attribute",
            "userAttributeId": "string"
          },
          "path1": {
            "swapType": "attribute",
            "userAttributeId": "string"
          },
          "path2": {
            "swapType": "attribute",
            "userAttributeId": "string"
          }
        }
      }
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2/sourceSwapPolicies/policyId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```